.TH POP\-PASTE 1

.SH NAME
pop\-paste \- Simple command line utility to paste code from your computer to
the Pop!\_Planet pastebin service.

.SH SYNOPSIS
.B pop\-paste
[\fB\-g\fR]
[\fB\-\-get\fR]
[\fB\-L\fR]
[\fB\-\-list\-languages\fR]
[\fB\-E\fR]
[\fB\-echo\fR]
[\fB\-f\fR \fIFILE\fR]
[\fB\-\-\filefR \fIFILE\fR]
[\fB\-a\fR \fIAUTHOR\fR]
[\fB\-\-author\fR \fIAUTHOR\fR]
[\fB\-t\fR \fITITLE\fR]
[\fB\-\-title\fR \fITITLE\fR]
[\fB\-p\fR \fI[PRIVATE]\fR]
[\fB\-\-private\fR \fI[PRIVATE]\fR]
[\fB\-e\fR \fIMINUTES\fR]
[\fB\-\-expire\fR \fIMINUTES\fR]
[\fB\-r\fR \fIPASTE_ID\fR]
[\fB\-\-reply\fR \fIPASTE_ID\fR]
[\fB\-l\fR \fILANG\fR]
[\fB\-\-language\fR \fILANG\fR]
[\fBINPUT\fR]

.SH DESCRIPTION
.B pop\-paste
is a simple command line utility to paste code from your computer to
the Pop!\_Planet pastebin service.  It can read input from stdin, a positional
argument, or direct file input.
.PP
Presently, pop\-paste supports only the Pop!\_Planet pastebin. Other pastebin services
are better supported by the pastebinit utility. However, it's possible that
additional services might be added at a later date.

.SH POSITIONAL ARGUMENTS
.TP
.BR INPUT
The text to paste or the ID of the paste to get.


.SH OPTIONAL ARGUMENTS
.TP
.BR \-g ", " \-\-get
Get an existing post from the pastebin.
.TP
.BR \-L ", " \-\-list\-languages
Print a list of available languages and exit.

.SH PASTE ARGUMENTS
.TP
.BR \-E ", " \-\-echo
Also echo the paste content to standard output.
.TP
.BR \-f ", " \-\-file =\fIFILE\fR
The file to paste.
.TP
.BR \-a ", " \-\-author =\fIAUTHOR\fR
The paste author.
.TP
.BR \-t ", " \-\-title =\fITITLE\fR
The title of the paste.
.TP
.BR \-p ", " \-\-private =\fI[PRIVATE]\fR
Set the post to private, which prevents it from being shown in searches. No argument or a boolean true value sets to private.
.TP
.BR \-e ", " \-\-expire =\fIMINUTES\fR
Set the paste to expire after \fIMINUTES\fR minutes, or use \fIburn\fR to make it auto-delete when read.
.TP
.BR \-r ", " \-\-reply =\fIPASTE_ID\fR
Make the paste a reply to \fIPASTE_ID\fR.
.TP
.BR \-l ", " \-\-language =\fILANG\fR
Set the paste language to \fILANG\fR.

.SH GET ARGUMENTS
.TP
.BR \-R ", " \-\-raw
Get just the raw paste instead of the full paste details.
.BR \-o ", " \-\-output =\fIFILE\fR
Output the file to \fIFILE\fR instead of stdout.